Bug 829336 - RHEVM-Manage-Domains - "Connection to Active-Directory server has timed out" Error is printed when adding new domain using IPA provider [TEXT]
RHEVM-Manage-Domains - "Connection to Active-Directory server has timed out" ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Oved Ourfali
Yaniv Kaul
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 09:56 EDT by Ortal
Modified: 2016-02-10 14:16 EST (History)
7 users (show)

See Also:
Fixed In Version: si6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ortal 2012-06-06 09:56:07 EDT
Description of problem:

RHEVM-Manage-Domains - "Connection to Active-Directory server has timed out" Error is printed when adding new domain using IPA provider

Version-Release number of selected component (if applicable):
RHEVM3.1 Version Si4

How reproducible:
Always

Steps to Reproduce:
1. Run rhevm-manage-domains -action=add -domain=ipa-domain.qa.lab.tlv.redhat.com -user=admin -provider=IPA -interactive
  
Actual results:

Getting an Error regarding Active Directory instead of IPA:

Failure while testing domain ipa-domain.qa.lab.tlv.redhat.com. Details: Authentication Failed. Connection to Active-Directory server has timed out. Please contact your system administrator

Expected results:
We need to write the exact provider, and not AD by default.
Comment 1 Oved Ourfali 2012-06-07 02:53:30 EDT
Will make the error more general:
Connection to LDAP server has timed out
Comment 2 Oved Ourfali 2012-06-07 02:59:04 EDT
commit: e1ce4ad86569bcec466650ae52ec3aa25918bc4f

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=e1ce4ad86569bcec466650ae52ec3aa25918bc4f
Comment 3 Yaniv Kaul 2012-06-18 10:27:19 EDT
SI6 - fixed, getting:
Error: Authentication Failed. Please verify the fully qualified domain name that is used for authentication is correct.. Problematic domain is: ipa1-domain.qa.lab.tlv.redhat.com
Failure while applying Kerberos configuration. Details: Authentication Failed. Please verify the fully qualified domain name that is used for authentication is correct.

Note You need to log in before you can comment on or make changes to this bug.